Skip to content

Line Settings

All operations require authentication.

30 operationsv1/telephony/lines · /telephony/{billingAccount}
Agent setup

List linesProduction

GET
/1.0/telephony/lines

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/lines \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a line or trunkProduction

GET
/1.0/telephony/lines/{serviceName}

Path parameters

serviceName
required
string

Your line number

Response

200TelephonyGenericServiceWithIAMsuccessful operation
iam
read-only
ResourceMetadata

IAM resource metadata

serviceName
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/lines/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string"}

Change service contactsProduction

POST
/1.0/telephony/lines/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

Your line number

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/lines/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get service informationProduction

GET
/1.0/telephony/lines/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

Your line number

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/lines/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/telephony/lines/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

Your line number

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/lines/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List linesProduction

GET
/1.0/telephony/{billingAccount}/line

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a lineProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Linesuccessful operation
canChangePassword
read-only
boolean

Ability to manage SIP password on this service

description
string
—
deviceSlot
read-only
integer

The position of the line when attached to a device (0 if the line is not attached to a device)

getPublicOffer
read-only
LineOffer

The line offers

infrastructure
read-only
string

The infrastructure where is configured the line

isAttachedToOtherLinesPhone
read-only
boolean

Is this line attached to a phone that belongs to another line?

notifications
LineNotificationsOptions

Send notifications about Line's diagnosticReports

offers
read-only
string[]

The line offers (Deprecated, prefer "name" in getPublicOffer)

serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline
simultaneousLines
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canChangePassword": true, "description": "string", "deviceSlot": 0, "getPublicOffer": { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }, "infrastructure": "string", "isAttachedToOtherLinesPhone": true, "notifications": { "logs": { "email": "string", "frequency": "Never", "sendIfNull": true } }, "offers": [ "string" ], "serviceName": "string", "serviceType": "alias", "simultaneousLines": 0}

Update a lineProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

canChangePassword
read-only
boolean

Ability to manage SIP password on this service

description
string
—
deviceSlot
read-only
integer

The position of the line when attached to a device (0 if the line is not attached to a device)

getPublicOffer
read-only
LineOffer

The line offers

infrastructure
read-only
string

The infrastructure where is configured the line

isAttachedToOtherLinesPhone
read-only
boolean

Is this line attached to a phone that belongs to another line?

notifications
LineNotificationsOptions

Send notifications about Line's diagnosticReports

offers
read-only
string[]

The line offers (Deprecated, prefer "name" in getPublicOffer)

serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline
simultaneousLines
read-only
integer
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List numbers blocked by antihackProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/antihack

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/antihack \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Clean antihack restrictionsProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/antihack

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

action
required
AntihackActionEnum

Type of action

ValuesAUTHORIZE_ALLAUTHORIZE_ONE_NUMBERBLOCK_ALLBLOCK_ONE_NUMBER
restricted
string

Number or short number restricted

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/antihack \
  -H "authorization: Bearer $OVH_TOKEN"

List available SIP domainsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/availableSipDomains

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/availableSipDomains \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Block the lineProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/block

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

mode
LineBlockingMode

The block mode : outgoing, incoming, both (default: both)

Valuesbothincomingoutgoing

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/block \
  -H "authorization: Bearer $OVH_TOKEN"

Check if the SIP password can changeDeprecated

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/canChangePassword

Deprecated since Mar 1, 2018, will be removed on Apr 1, 2018 — use /telephony/{billingAccount}/line/{serviceName}/ instead.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200booleansuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/canChangePassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

Cancel a scheduled conversion to numberProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/cancelConvertToNumber

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/cancelConvertToNumber \
  -H "authorization: Bearer $OVH_TOKEN"

Change the SIP passwordProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/changePassword

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

password
stringpassword

The password

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"

Schedule a conversion to numberProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/convertToNumber

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200OfferTasksuccessful operation
action
read-only
OfferTaskActionEnum

Actual action that will be executed

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
executionDate
stringdate-time

Planned execution date

status
read-only
TaskStatusEnum

Current status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—
type
read-only
OfferTaskTypeEnum

Type of operation that will be executed

Valueslineofferoptionphone

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/convertToNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}

List last registered IPsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/ips

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200DatetimeAndIpvalue[]successful operation
datetime
stringdate-time
—
ip
ip

IP address (e.g., 192.0.2.0)

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/ips \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "datetime": "2024-01-01T12:00:00Z", "ip": "192.0.2.0" }]

List last registrationsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/lastRegistrations

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200RegistrationInformations[]successful operation
datetime
stringdate-time

SIP registration's date

domain
string

SIP registration's domain

ip
ip

SIP registration's IP

localIp
ip

SIP registration's local device IP

localPort
integer

SIP registration's local device port

port
integer

SIP registration's port

userAgent
string

SIP registration's User-Agent

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/lastRegistrations \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "datetime": "2024-01-01T12:00:00Z", "domain": "string", "ip": "192.0.2.0", "localIp": "192.0.2.0", "localPort": 0, "port": 0, "userAgent": "string" }]

Get the maximum simultaneous linesProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/maximumAvailableSimultaneousLines

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integersuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/maximumAvailableSimultaneousLines \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Get the line offerProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/offer

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200LineOffersuccessful operation
description
string

The offer description

name
string

The offer name

price
Price

Offer price per month

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/offer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }}

Get the line optionsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/options

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200LineOptionssuccessful operation
absentSubscriber
boolean
—
anonymousCallRejection
boolean

Reject anonymous calls

callRestrictionIncoming
boolean

Whether or not the line has restriction on incoming calls

callRestrictionOutgoing
boolean

Whether or not the line has restriction on outgoing calls

callWaiting
boolean

If the line receives a new call and the line is already in communication, this new call is dispatched once the current call is completed

codecs
string

Codecs preferences

defaultVoicemail
phoneNumber

The default voicemail of the line. It can be the voicemail of any line of your account.

displayNumber
phoneNumber

Phone number

doNotDisturb
boolean
—
domain
string

The domain to configure in your SIP client.

forwardBackup
boolean

Enable calls forward when the line is unavailable

forwardBackupNature
LineOptionForwardNatureTypeEnum

Nature of the forward when the line is unavailable

Valuesfaxnumbervoicemail
forwardBackupNumber
phoneNumber

Destination of the forward when the line is unavailable

forwardBusy
boolean

Enable calls forward when the line is busy

forwardBusyNature
LineOptionForwardNatureTypeEnum

Nature of the forward when the line is busy

Valuesfaxnumbervoicemail
forwardBusyNumber
phoneNumber

Destination of the forward when the line is busy

forwardNoReply
boolean

Enable calls forward on no-reply

forwardNoReplyDelay
integer

Delay before forward on no-reply

forwardNoReplyNature
LineOptionForwardNatureTypeEnum

Nature of the forward on no-reply

Valuesfaxnumbervoicemail
forwardNoReplyNumber
phoneNumber

Destination of the forward on no-reply

forwardUnconditional
boolean

Enable unconditional calls forward

forwardUnconditionalNature
LineOptionForwardNatureTypeEnum

Nature of the unconditional forward

Valuesfaxnumbervoicemail
forwardUnconditionalNumber
phoneNumber

Destination of the unconditional forward

identificationRestriction
boolean

Do not display your number

intercom
LineOptionIntercomEnum

Intercom mode: takes automatically the call with the loudspeaker

Valuesnoprefixedyes
ipRestrictions
ipBlock[]

The ip restrictions of your line

language
LineOptionLanguageEnum

Language of the line

ValuesDutchEnglish (UK)FrenchFrench (BE)GermanItalianSpanish
lockOutCall
boolean

Disallow outgoing calls

lockOutCallPassword
string

Disallow outgoing calls password

proxy
read-only
string

The outbound proxy to configure in your SIP client.

recordOutgoingCallsBeta
boolean

Enable or disable record of outgoing calls

toneOnCallWaitingSoundId
integer

Sound ID of on-call-waiting tone

toneOnHoldSoundId
integer

Sound ID of on-hold tone

toneRingbackSoundId
integer

Sound ID of ringback tone

voicemailExternalNumber
read-only
phoneNumber

Voicemail number to dial from any other line

voicemailInternalNumber
read-only
string

Voicemail short number to dial from the line

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "absentSubscriber": true, "anonymousCallRejection": true, "callRestrictionIncoming": true, "callRestrictionOutgoing": true, "callWaiting": true, "codecs": "string", "defaultVoicemail": "string", "displayNumber": "string", "doNotDisturb": true, "domain": "string", "forwardBackup": true, "forwardBackupNature": "fax", "forwardBackupNumber": "string", "forwardBusy": true, "forwardBusyNature": "fax", "forwardBusyNumber": "string", "forwardNoReply": true, "forwardNoReplyDelay": 0, "forwardNoReplyNature": "fax", "forwardNoReplyNumber": "string", "forwardUnconditional": true, "forwardUnconditionalNature": "fax", "forwardUnconditionalNumber": "string", "identificationRestriction": true, "intercom": "no", "ipRestrictions": [ "192.0.2.0/24" ], "language": "Dutch", "lockOutCall": true, "lockOutCallPassword": "string", "proxy": "string", "recordOutgoingCallsBeta": true, "toneOnCallWaitingSoundId": 0, "toneOnHoldSoundId": 0, "toneRingbackSoundId": 0, "voicemailExternalNumber": "string", "voicemailInternalNumber": "string"}

Update the line optionsProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/options

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

absentSubscriber
boolean
—
anonymousCallRejection
boolean

Reject anonymous calls

callRestrictionIncoming
boolean

Whether or not the line has restriction on incoming calls

callRestrictionOutgoing
boolean

Whether or not the line has restriction on outgoing calls

callWaiting
boolean

If the line receives a new call and the line is already in communication, this new call is dispatched once the current call is completed

codecs
string

Codecs preferences

defaultVoicemail
phoneNumber

The default voicemail of the line. It can be the voicemail of any line of your account.

displayNumber
phoneNumber

Phone number

doNotDisturb
boolean
—
domain
string

The domain to configure in your SIP client.

forwardBackup
boolean

Enable calls forward when the line is unavailable

forwardBackupNature
LineOptionForwardNatureTypeEnum

Nature of the forward when the line is unavailable

Valuesfaxnumbervoicemail
forwardBackupNumber
phoneNumber

Destination of the forward when the line is unavailable

forwardBusy
boolean

Enable calls forward when the line is busy

forwardBusyNature
LineOptionForwardNatureTypeEnum

Nature of the forward when the line is busy

Valuesfaxnumbervoicemail
forwardBusyNumber
phoneNumber

Destination of the forward when the line is busy

forwardNoReply
boolean

Enable calls forward on no-reply

forwardNoReplyDelay
integer

Delay before forward on no-reply

forwardNoReplyNature
LineOptionForwardNatureTypeEnum

Nature of the forward on no-reply

Valuesfaxnumbervoicemail
forwardNoReplyNumber
phoneNumber

Destination of the forward on no-reply

forwardUnconditional
boolean

Enable unconditional calls forward

forwardUnconditionalNature
LineOptionForwardNatureTypeEnum

Nature of the unconditional forward

Valuesfaxnumbervoicemail
forwardUnconditionalNumber
phoneNumber

Destination of the unconditional forward

identificationRestriction
boolean

Do not display your number

intercom
LineOptionIntercomEnum

Intercom mode: takes automatically the call with the loudspeaker

Valuesnoprefixedyes
ipRestrictions
ipBlock[]

The ip restrictions of your line

language
LineOptionLanguageEnum

Language of the line

ValuesDutchEnglish (UK)FrenchFrench (BE)GermanItalianSpanish
lockOutCall
boolean

Disallow outgoing calls

lockOutCallPassword
string

Disallow outgoing calls password

proxy
read-only
string

The outbound proxy to configure in your SIP client.

recordOutgoingCallsBeta
boolean

Enable or disable record of outgoing calls

toneOnCallWaitingSoundId
integer

Sound ID of on-call-waiting tone

toneOnHoldSoundId
integer

Sound ID of on-hold tone

toneRingbackSoundId
integer

Sound ID of ringback tone

voicemailExternalNumber
read-only
phoneNumber

Voicemail number to dial from any other line

voicemailInternalNumber
read-only
string

Voicemail short number to dial from the line

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"

List available codecsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/options/availableCodecs

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/options/availableCodecs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the default codecsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/options/defaultCodecs

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200stringsuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/options/defaultCodecs \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Remove extra simultaneous linesProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/removeSimultaneousLines

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

quantityRemove
required
integer

The quantity of extra simultaneous lines to remove

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/removeSimultaneousLines \
  -H "authorization: Bearer $OVH_TOKEN"

Get simultaneous channels detailsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/simultaneousChannelsDetails

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SimultaneousChannelsDetailssuccessful operation
basic
integer

Basic quantity of simultaneous channels included in the line.

current
integer

Current quantity of simultaneous channels.

extra
integer

Extra quantity of simultaneous channels added to the line.

maximum
integer

Maximum quantity of simultaneous channels the line can have.

toBeDeleted
integer

Quantity of simultaneous channels going to be deleted at the end of the billing cycle.

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/simultaneousChannelsDetails \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "basic": 0, "current": 0, "extra": 0, "maximum": 0, "toBeDeleted": 0}

Get the tonesProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/tones

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Tonessuccessful operation
callWaiting
TonesEnum

Tone played when caller is waiting in queue

ValuesCustom soundNone
endCall
TonesEnum

Tone played when callee is ending call

ValuesCustom soundNone
onHold
TonesOnHoldEnum

Tone played when caller is put on hold

ValuesCustom soundNonePredefined 1Predefined 2
ringback
TonesEnum

Ringback tone

ValuesCustom soundNone

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/tones \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callWaiting": "Custom sound", "endCall": "Custom sound", "onHold": "Custom sound", "ringback": "Custom sound"}

Update the tonesProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/tones

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

callWaiting
TonesEnum

Tone played when caller is waiting in queue

ValuesCustom soundNone
endCall
TonesEnum

Tone played when callee is ending call

ValuesCustom soundNone
onHold
TonesOnHoldEnum

Tone played when caller is put on hold

ValuesCustom soundNonePredefined 1Predefined 2
ringback
TonesEnum

Ringback tone

ValuesCustom soundNone

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/tones \
  -H "authorization: Bearer $OVH_TOKEN"

Upload a toneProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/tones/toneUpload

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

documentId
string

ID of the /me/document file you want to import

type
required
TonesTypeEnum

Tones type

ValuescallWaitingendCallonHoldringback
url
string

URL of the file you want to import (instead of /me/document ID)

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/tones/toneUpload \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Unblock the lineProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/unblock

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/unblock \
  -H "authorization: Bearer $OVH_TOKEN"